Jass newgen pack cant open my map..?

The normal editor can open this map, but when i try to open it with JNGP i get these errors, in succession.

Trigger function does not exist in database: InitHashtableBJ
________________________________________________________________
Trigger function does not exist in database: GetLastCreatedHashtableBJ
________________________________________________________________
Trigger function does not exist in database: InitHashtableBJ
________________________________________________________________
Trigger function does not exist in database: GetLastCreatedHashtableBJ
________________________________________________________________
Trigger function does not exist in database: onvertedPlayerId
________________________________________________________________
Trigger function does not exist in database: GetOwningPlayer
________________________________________________________________
Trigger function does not exist in database: ariable
_________________________________________________________________
This application has encountered a critical error:

Not enough storage is available to process this command

Program: C:\Games\Warcraft III\worldedit121.exe
Object: [email protected]@


Press OK to terminate the application.
________________________________________________________________


+Rep will be given for any help.
 
Level 1
Joined
Nov 22, 2009
Messages
2
ikillforeyou, compare files triggerdata.txt and triggerstrings.txt from warcraft 3 folder and in new gen folder
maybe they are diffrent =>map can`t be ope
sorry for my english,I`m from Russia ^_^
 

Dr Super Good

Spell Reviewer
Level 57
Joined
Jan 18, 2005
Messages
26,449
Disable normal WE syntax checker.
JassHelper does crash, but the editor does not fatal (only it fatals). If the editor crashes, it points towards you not having disabled the normal syntax checker of WE (which is even more unstable and crashes the whole editor with certain errors).
 
Level 9
Joined
Apr 28, 2009
Messages
538
ikillforeyou, like I said in many, many threads: JNPG is totally outdated, stop using it.
Get JNPGS (jass newgen special).
 
Level 9
Joined
Apr 28, 2009
Messages
538
you mean you are on 1.24b patch, you use JNPG, and there are no problems?
That sounds really interesting. Really, really interesting.
 

Dr Super Good

Spell Reviewer
Level 57
Joined
Jan 18, 2005
Messages
26,449
Yes, you just DL JNGP, downgrade your WE exe to 1.21, update jass helper and then update native and bj list. Use JNGP to your hearts content (although it still is not perfect with the editor not mentioning the new natives (still compiles).

Ask vexorian why it has not been updated though.
 
Top